Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227277 - Kernel virtually doesn't boot spitting lost interrupts for hard drive
Summary: Kernel virtually doesn't boot spitting lost interrupts for hard drive
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-04 17:26 UTC by Kris Rusocki
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-05 17:12:08 UTC


Attachments (Terms of Use)
lspci -vvv (pulled on 2.6.18-1.2868.fc6) (deleted)
2007-02-04 17:26 UTC, Kris Rusocki
no flags Details

Description Kris Rusocki 2007-02-04 17:26:43 UTC
Description of problem:
per summary, boot msg excerpt:

hda: HTS721010G9AT00, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hdc: MATSHITADVD-RAM UJ-822S, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 512KiB
hda: lost interrupt
hda: lost interrupt
hda: lost interrupt
hda: lost interrupt
hda: 195371568 sectors (100030 MB) w/7539KiB Cache, CHS=16383/255/63, UDMA(100)
hda: lost interrupt
hda: cache flushes supported
 hda:<4>hda: dma_timer_expiry: dma status == 0x24
hda: DMA interrupt recovery
hda: lost interrupt
 hda1 hda2 hda3 <

Version-Release number of selected component (if applicable):
2.6.19-1.2895.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Power-on the system
2.
3.
  
Actual results:
Unsuccessful boot-up.

Expected results:
Successful boot-up.

Additional info:
Hardware is a Thinkpad T42 2379DXU with 'custom' hard drive
2.6.18-1.2868.fc6 does not exhibit described behavior.

Comment 1 Kris Rusocki 2007-02-04 17:26:43 UTC
Created attachment 147308 [details]
lspci -vvv (pulled on 2.6.18-1.2868.fc6)

Comment 2 Kris Rusocki 2007-02-04 22:11:50 UTC
My bad. Booting 2.6.19-1.2895.fc6 without 'lapic' also does not
exhibit described behavior. (2.6.18-1.2868.fc6 with lapic is fine otoh)

(Don't know if it's worth keeping this one open then...)


Note You need to log in before you can comment on or make changes to this bug.